Subject: Re: EMAC OF binding....

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 09 Jan 2007 09:47:40 +1100

> 
> So this is for accessing some shared SoC registers?  The emac
> node has no business with that, you should have a separate
> node for that (and you probably do already, you can use the
> parent bus node in most such cases).

If I needed a separate node for every shared SoC bit, I would have a
>2MB device-tree :-)

There are just a few places where I need to call some platform code and
tell it what EMAC in the chip it is so it can go tweak the right magic
bits, best is a property for that.

> >>>  - max-mtu           : 1 cell, maximum MTU supported in bytes
> >>
> >> See "max-frame-size", MTU is on a higher level than device
> >> level and as such shouldn't be here; the OF networking layer
> >> can set something like this if it wants.
> >
> > Except that I don't want OF to set anything dynamically here. This is a
> > way to prevent EMAC to do jumbo frames in fact.
> 
> MTU is dynamic, max-frame-size isn't.  max-frame-size is just
> the maximum packet size you can tell the network controller to
> put on the wire, not counting protocol overhead etc.

Ah ok.

Ben.